# Speed-up build process
%define _verify_elf_method skip
%define _strip_method none

%define beta %nil

Name: typo3_src
Version: 4.2.17
Release: alt0.M40.1

Summary: A free, feature rich, Content Management Framework/System
License: GPL
Group: Networking/Other

Url: http://www.typo3.org
Source: %name-%version%beta.tar.gz
Packager: Michael Shigorin <mike@altlinux.org>
BuildArch: noarch

AutoReqProv: no

#Requires: php-engine
Requires: typo3-webserver
Requires: ImageMagick
Requires: freetype2

%define installdir %_datadir/%name-%version

%description
TYPO3 is a free Open Source content management system for
enterprise purposes on the web and in intranets. It offers full
flexibility and extendability while featuring an accomplished set
of ready-made interfaces, functions and modules.

To find out more, see http://www.typo3.org | http://www.typo3.ru.

You should install MySQL-server package or care of DBAL 
setup yourself.  It's also highly recommended to install some
sort of PHP accelerator, like php-mmcache, php5-eaccelerator
or php5-xcache.

%package -n typo3-apache
Summary: apache 1.3 dependency package
Group: Networking/Other
Provides: typo3-webserver
Requires: apache
Requires: apache-mod_php5
Requires: php5-mysql
Requires: php5-gd2
Requires: php5-curl
Requires: php5-mbstring
Requires: php5-eaccelerator

%description -n typo3-apache
apache 1.3/php 5.x dependency package

%package -n typo3-apache2
Summary: apache 2.x dependency package
Group: Networking/Other
Provides: typo3-webserver
Requires: apache2
Requires: apache2-mod_php5
Requires: php5-mysql
Requires: php5-gd2
Requires: php5-curl
Requires: php5-mbstring
# Recommends: php5-eaccelerator || php5-xcache

%description -n typo3-apache2
apache 2.x/php 5.x dependency package

%prep
%setup -n %name-%version%beta

%install
mkdir -p %buildroot%installdir
# no need to copy the engine
mv */ index.php %buildroot%installdir/

%files
%installdir/
%doc ChangeLog *.txt

%files -n typo3-apache
%files -n typo3-apache2

%changelog
* Tue Dec 28 2010 Michael Shigorin <mike@altlinux.org> 4.2.17-alt0.M40.1
- 4.2.17: regression fixes, see
  http://wiki.typo3.org/wiki/TYPO3_4.2.17

* Sun Dec 19 2010 Michael Shigorin <mike@altlinux.org> 4.2.16-alt0.M40.1
- 4.2.16: major security fixes, see
  http://typo3.org/teams/security/security-bulletins/typo3-sa-2010-022/
  + arbitrary code execution due to insufficient input validation
    in PHP file inclusion protection API
  + a few more less severe problems, see the link above

* Wed Oct 06 2010 Michael Shigorin <mike@altlinux.org> 4.2.15-alt0.M40.1
- 4.2.15: critical security fixes, see
  http://typo3.org/teams/security/security-bulletins/typo3-sa-2010-020/
  + remote file disclosure (no auth required)
  + several XSS in backend (valid backend login required)
  + remote file disclosure in EM (valid backend admin login required)
  + privilege escalation possible for backend user having permission
    to create other backend users due to improper user input validation
  + DoS with php crash in t3lib_div::validEmail()
  + XSS protection incomplete in RemoveXSS()

* Fri Aug 06 2010 Michael Shigorin <mike@altlinux.org> 4.2.14-alt0.M40.1
* Fri Aug 06 2010 Michael Shigorin <mike@altlinux.org> 4.2.14-alt0.M40.1
- 4.2.14: regression fixes for important security fixes in 4.2.13
- 4.2.13: major/medium security fixes:
  + several XSS in backend (valid backend login required)
  + open redirection in backend (valid backend login required)
  + SQL injection in some backend record editing forms
    (special backend login/configuration required)
  + arbitrary code execution depending on server configuration
    (valid backend login required to upload .phtml)
  + webroot path disclosure possible with defective extensions
  + Extension Manager: XSS and arbitrary file access
    (valid backend admin login required)
  + form content element data check failure (spam abuse)
  + header injection with jumpurl feature
  + frontend login box: open redirection, XSS
  + install tool: session fixation
  + t3lib_htmlmail includes the exact CMS version in headers

* Sat Jul 04 2009 Michael Shigorin <mike@altlinux.org> 4.2.8-alt0.M40.1
- 4.2.8: maintenance release (bugfixes and minor security improvements)
  + 4.2.7 contained a glitch so was effectively skipped
- built for M40

* Tue Feb 10 2009 Michael Shigorin <mike@altlinux.org> 4.2.6-alt0.M40.1
- built for M40

* Tue Feb 10 2009 Michael Shigorin <mike@altlinux.org> 4.2.6-alt1
- 4.2.6: [critical] information disclosure and XSS fixes:
  http://typo3.org/teams/security/security-bulletins/typo3-sa-2009-002/

* Tue Jan 20 2009 Michael Shigorin <mike@altlinux.org> 4.2.4-alt1
- 4.2.4: multiple important security fixes in TYPO3 core:
  http://typo3.org/teams/security/security-bulletins/typo3-sa-2009-001/

* Thu Nov 13 2008 Michael Shigorin <mike@altlinux.org> 4.2.3-alt1
- 4.2.3: fixes for two XSS issues in TYPO3 core
  + "file" backend module:
    http://typo3.org/teams/security/security-bulletins/typo3-20081113-1/
  + "felogin" sysext:
    http://typo3.org/teams/security/security-bulletins/typo3-20081113-2/

* Sat Oct 18 2008 Michael Shigorin <mike@altlinux.org> 4.2.2-alt1
- 4.2.2: current bugfixes/updates

* Wed Jun 11 2008 Michael Shigorin <mike@altlinux.org> 4.2.1-alt1
- 4.2.1: security fixes:
  + default fileDenyPattern update to bar .htaccess uploads
    (backend/frontend users might be able to execute arbitrary
    code depending on some conditions);
  + fixed fe_adminlib.inc XSS issue (used in direct_mail_subscription,
    feuser_admin, kb_md5fepw)
  + for more information and a workaround, see
    http://typo3.org/teams/security/security-bulletins/typo3-20080611-1/

* Wed Apr 23 2008 Michael Shigorin <mike@altlinux.org> 4.2.0-alt1
- 4.2.0

* Sat Apr 19 2008 Michael Shigorin <mike@altlinux.org> 4.2.0-alt0.2
- 4.2.0RC2: php5 required

* Tue Mar 04 2008 Michael Shigorin <mike@altlinux.org> 4.1.6-alt1
- 4.1.6: minor bugfixes (including windows-only)

* Sun Mar 02 2008 Michael Shigorin <mike@altlinux.org> 4.1.5-alt3
- moved apache/php-version dependent requires into subpackages
  + NB: I only care for typo3-apache right now, please correct
    me on typo3-apache2 if something's wrong
  + 4.2 will be php5 only, so -apache will go php5 too
    (I'm just too lazy at the moment)

* Tue Jan 01 2008 Michael Shigorin <mike@altlinux.org> 4.1.5-alt2
- fix requires by moving back to php4: maybe it's some local
  problem but both php 5.2.2/5.2.3 builds are severely broken
  for me (would randomly bail out on different require_once 
  calls with comparable php.ini)

* Mon Dec 31 2007 Michael Shigorin <mike@altlinux.org> 4.1.5-alt1
- 4.1.5: minor bugfix (for regression introduced in 4.1.4)
- 4.1.4: minor security fixes
- 4.1.3: lots of bugfixes

* Tue Jul 17 2007 Michael Shigorin <mike@altlinux.org> 4.1.2-alt1
- 4.1.2 (minor bugfixes)
- minor spec cleanup

* Tue Jun 05 2007 Michael Shigorin <mike@altlinux.org> 4.1.1-alt1
- built for ALT Linux
- partially based on seiroswiki.spec (0.0.1-alt4) by vvk@ 
  and typo3.spec.m4 (3.6.2-0.6) by Dimitri Tarassenko <mitka mitka us>
- for now, rather hardwired for apache+mod_php
